/* typography */
@import url('https://fonts.googleapis.com/css?family=Roboto');
@import url('https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,700;1,700&display=swap');
h1, h2, h3, h4, h5, h6 {
    font-family: "Rubik", sans-serif;
}

h1 {
    font-size: 45px;
}

h2 {
    font-size: 32px;
}

p, a, button, li, b {
    font-family: 'Roboto', sans-serif;
    font-size: 18px;
    hyphens: auto;
    -webkit-hyphens: auto; /* Safari */
    -ms-hyphens: auto;   
}

a {
    color: rgb(245, 245, 245);
}

blockquote {
    margin: 60px;
}

/* defaults */
html ,body {
    background-color: rgb(22, 22, 22);
    color: rgb(245, 245, 245);
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    line-height: 1.5;
}

main, article {
    max-width: 900px;
    width: 850px;
    margin: 0 auto;
}

/* screen */
@media screen and (max-width: 948px) {
    main, article {
        width: 90%;
    }
    .header-intro {
        font-size: 45px;
        line-height: 1.5;
    }
    footer a {
        margin: 10px;
    }
}